#
# spec file for package roottail (Version 0.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  xf86
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm

Name:         roottail
License:      GPL
Group:        System/X11/Utilities
Autoreqprov:  on
Version:      0.2
Release:      192
Summary:      Print Text Directly to the X Window System Root Window
Source:       root-tail-%{version}.tar.bz2
Patch:        root-tail-%version-signed-bug.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://goof.com/pcg/marc/root-tail.html

%description
Tails a given file anywhere on your X Window System root window with a
transparent background. It is customizable with regards to font, color,
and more.



Authors:
--------
    Mike Baker <mjbaker@mtu.edu>
    Marc Lehmann <pcg@goof.com>

%prep
%setup -n root-tail-%{version}
%patch -p0

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man

%files
/usr/X11R6/bin/root-tail
/usr/X11R6/man/man1/root-tail.1x.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n roottail
* Mon Oct 06 2003 - mmj@suse.de
- Fix signedness bug with fseek call
* Mon Sep 16 2002 - mmj@suse.de
- Update to 0.2
* Wed Sep 04 2002 - mmj@suse.de
- Remove Provides: roottail
* Wed Feb 14 2001 - mmj@suse.de
- Added a patch to exchange TAB with space (#6338)
* Tue Jan 02 2001 - mmj@suse.de
- updated to newest version, 0.0.10
* Mon Nov 13 2000 - mmj@suse.de
- updated to newest version, 0.0.9
* Sun Nov 12 2000 - mmj@suse.de
- updated to newest version, 0.0.8
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Fri Apr 07 2000 - cihlar@suse.cz
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 01 1998 - ro@suse.de
- added cleanup on SIGINT and SIGTERM
  fixed race between update & expose
* Mon Aug 31 1998 - ro@suse.de
- updated to use .c from mjb vers. 0.0.4B
* Tue Aug 25 1998 - ro@suse.de
- updated .c file and man-page / created Imakefile
* Thu Jun 18 1998 - ro@suse.de
- initial version
